#include "Getraenk.hpp"
#include "Kaffee.hpp"
#include <iostream>

using namespace std;

int main(){
  Getraenk** getraenke = new Getraenk*[10];

  for(int i = 0; i < 10; ++i){
    if(i % 2 == 0) getraenke[i] = new Getraenk("The Macallan", "Macallan Sherry Oak 18");
    else getraenke[i] = new Kaffee("Five Elephant Coffee Roastery", "Los Idolos", "Arabica", "Colombia");
  }

  for(int i = 0; i < 10; ++i){
    getraenke[i] -> setPreis(5.8);

    Kaffee* temp = dynamic_cast<Kaffee*>(getraenke[i]);
    if(temp != nullptr) cout << "Kaffee! Sorte: " << temp -> getSorte() << endl;
  }

  for(int i = 0; i < 10; ++i) delete getraenke[i];
  delete[] getraenke;
}
