#include "Getraenk.hpp"
#include <sstream>

Getraenk::Getraenk(std::string hersteller, std::string name) :
  hersteller(hersteller), name(name), preis(5.5)
{}

Getraenk::~Getraenk(){}

double Getraenk::getPreis(){
  return preis;
}

void Getraenk::setPreis(double p){
  if(p >= 0) preis = p;
}

std::string Getraenk::toString(){
  std::stringstream s;
  s << "Hersteller: " << hersteller << std::endl;
  s << "Name: " << name << std::endl;
  s << "Preis = " << preis << std::endl;
  return s.str();
}
