#include "Getraenk.hpp"
#include "Kaffee.hpp"

Kaffee::Kaffee(std::string hersteller, std::string name, std::string sorte, std::string herkunft) :
  Getraenk(hersteller, name), sorte(sorte), herkunft(herkunft){}

void Kaffee::setPreis(double p){
  double currPreis = getPreis();

  if(p <= 1.1 * currPreis) Getraenk::setPreis(p);
  else Getraenk::setPreis(1.1 * currPreis);
}

std::string Kaffee::getSorte(){
  return sorte;
}

std::string Kaffee::toString(){
  std::string s = Getraenk::toString();
  s = s + "Sorte: " + sorte + "\n";
  s = s + "Herkunft: " + herkunft + "\n";
  return s;
}
